//============================================================
// Приложение для просмотра структуры каталогов 
// серверов FTP
//
// (C) Фролов Г.В., 1997
// E-mail: frolov@glas.apc.org
// WWW:    http://www.glasnet.ru/~frolov
//         или
//         http://www.dials.ccas.ru/frolov
//============================================================
// Файл содержит определение методов и таблицы сообщений 
// главного класса приложения
//============================================================

// Включаемые файлы 
#include "stdafx.h"
#include "FtpView.h"
#include "FtpViewDlg.h"

// Для отладочной версии приложения включается дополнительные 
// определения
#ifdef _DEBUG
   #define new DEBUG_NEW
   #undef THIS_FILE
   static char THIS_FILE[] = __FILE__;
#endif

//============================================================
// Таблица сообщений класса CFtpViewApp
//============================================================
BEGIN_MESSAGE_MAP(CFtpViewApp, CWinApp)
   //{{AFX_MSG_MAP(CFtpViewApp)
   //}}AFX_MSG
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

//============================================================
// Конструктор класса CFtpViewApp
//============================================================
CFtpViewApp::CFtpViewApp()
{
   // TODO: 
}

//////////////////////////////////////////////////////////////
// Объект главного класса приложения
CFtpViewApp theApp;

//============================================================
// Метод InitInstance класса CFtpViewApp.
// Выполняет инициализацию приложения
//============================================================
BOOL CFtpViewApp::InitInstance()
{
#ifdef _AFXDLL
   Enable3dControls(); 
#else
   Enable3dControlsStatic(); 
#endif

   CFtpViewDlg dlg;
   m_pMainWnd = &dlg;
   int nResponse = dlg.DoModal();
   if (nResponse == IDOK)
   {
      // TODO: Нажата кнопка OK
   }
   else if (nResponse == IDCANCEL)
   {
      // TODO: Нажата кнопка Cancel
   }

   // Так как диалоговая панель закрыта, возвращаем значение 
   // FALSE чтобы завершить приложение 
   return FALSE;
}
